package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.email.config.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 企业邮箱
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("enterprise_mailbox")
public class EnterpriseMailbox extends BaseEntity {

    /**
     * 企业邮箱域名id
     */
    private Long domainId;

    /**
     * mail账号前缀
     */
    private String mailUserPrefix;

    /**
     * mail授权码
     */
    private String mailPassword;

    /**
     * 状态：1启用 0禁用
     */
    private Integer status;

    /**
     * 同步邮件状态: 1同步 0不同步
     */
    private Integer syncStatus;

    /**
     * 默认邮箱: 1默认 0非默认
     */
    private Integer defaultStatus;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 创建人id
     */
    private Long createUser;

    /**
     * 修改人id
     */
    private Long updateUser;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    private Integer delFlag;

}
