package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 个人邮件地址
 * </p>
 *
 * @author zlj
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("personal_message_address")
public class PersonalMessageAddress implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 邮件主表id
     */
    private Long messageId;

    /**
     * 类型 1收件人(to) 2抄送人(cc) 3密送人(bcc) 4回复人(replyTo)
     */
    private Integer type;

    /**
     * email地址
     */
    private String email;

    /**
     * email名称
     */
    private String personalName;
}
